
Foreman - Bug #9417

Impossible to see / clear root password from hostgroup

02/17/2015 12:28 PM - Bryan Kearney

Status: Duplicate   

Priority: Normal   

Assignee: Ohad Levy   

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1193310 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1193310

Description of problem:

It is not possible to either see if a hostgroup holds a root password or to clear a root password. I have come several times in a

situation where people could not log in using the root password and then it is next to impossible to troubleshoot this problem because

it is not clear nor known what host groups hold root passwords.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

1. Set a root password on a hostgroup

2. Try to determine from the UI is a root password is set on the hostgroup

3. Try to clear the root password in the UI

Actual results:

Not possible to detect if a root password is present on a hostgroup

Not possible to clear a root password on a hostgroup

Expected results:

Possibility to detect if a root password is present on a hostgroup

Possibility to clear a root password on a hostgroup

Additional info:

Related issues:

Is duplicate of Foreman - Feature #2943: Make it possible to unset a host's r... Closed 08/16/2013

History

#1 - 02/18/2015 03:39 AM - Dominic Cleal

- Is duplicate of Feature #2943: Make it possible to unset a host's root password  added

#2 - 02/18/2015 03:40 AM - Dominic Cleal

- Status changed from New to Duplicate
